Name:           libmodman
Version:        1.0.1
Release:        4%{?dist}
Summary:        A simple library for managing C++ modules (plug-ins)

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://code.google.com/p/libmodman/
Source0:        http://libmodman.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 2.8.0
BuildRequires:  zlib-devel

# libproxy currently ships libmodman bundled
# libproxy >= 0.4.4 can build against external libmodman
Conflicts:      libproxy < 0.4.4

%description
libmodman is a simple library for managing C++ modules (plug-ins).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       cmake >= 2.8.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
sed -i 's|-Werror||' libmodman/CMakeLists.txt

%build
%{cmake}
make VERBOSE=1 %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmodman-1.0.pc
%{_datadir}/cmake/Modules/Findlibmodman.cmake

%changelog
* Sun Jun 20 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 1.0.1-4
- Remove docs from -devel package
- Upgrade cmake requirement to 2.8.0
- Add cmake to -devel requires

* Fri Jun 18 2010 Nathaniel McCallum - 1.0.1-3
- Add docs to -devel package
- Fix include directory ownership

* Fri Jun 18 2010 Nathaniel McCallum - 1.0.1-2
- Added BuildRequires on zlib-devel (used for tests)

* Sun Jun 13 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 1.0.1-1
- First release
